GenericSamInterface Class Referenceabstract
Inheritance diagram for GenericSamInterface:
[legend]

## Public Member Functions

virtual bool | readHeader (IFILE filePtr, SamFileHeader &header, SamStatus &status)=0
virtual bool | writeHeader (IFILE filePtr, SamFileHeader &header, SamStatus &status)=0
virtual void | readRecord (IFILE filePtr, SamFileHeader &header, SamRecord &record, SamStatus &samStatus)=0
virtual SamStatus::Status | writeRecord (IFILE filePtr, SamFileHeader &header, SamRecord &record, SamRecord::SequenceTranslation translation)=0
virtual bool | isEOF (IFILE filePtr)

## Detailed Description

Definition at line 26 of file GenericSamInterface.h.

## Constructor & Destructor Documentation

## GenericSamInterface()

GenericSamInterface::GenericSamInterface | ( |  | ) |

Definition at line 21 of file GenericSamInterface.cpp.

{
}

## ~GenericSamInterface()

GenericSamInterface::~GenericSamInterface | ( |  | ) |

virtual

Definition at line 25 of file GenericSamInterface.cpp.

{
}

## Member Function Documentation

## isEOF()

bool GenericSamInterface::isEOF | ( | IFILE | filePtr | ) |

virtual

Definition at line 29 of file GenericSamInterface.cpp.

{
if (filePtr != NULL)
{
// File Pointer is set, so return if eof.
return(ifeof(filePtr));
}
// File pointer is not set, so return true, eof.
return true;
}
ifeof
int ifeof(IFILE file)
Check to see if we have reached the EOF (returns 0 if not EOF).
Definition: InputFile.h:654

The documentation for this class was generated from the following files:

- bam/GenericSamInterface.h
- bam/GenericSamInterface.cpp